Subject: Re: bug#13321: 24.3.0.50; Gmail error when replying from Gnus to github

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 02 Jan 2013 22:14:55 +0100

Lars Magne Ingebrigtsen <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Delivery to the following recipient failed permanently:
>>
>>      [email-masked]
>>
>> Technical details of permanent failure: 
>> Google tried to deliver your message, but it was rejected by the
>> recipient domain. We recommend contacting the other email provider for
>> further information about the cause of this error. The error that the
>> other server returned was: 550 550-5.1.1 The email account that you
>> tried to reach does not exist. Please try
>> 550-5.1.1 double-checking the recipient's email address for typos or
>> 550-5.1.1 unnecessary spaces. Learn more at
>> 550 5.1.1 http://support.google.com/mail/bin/answer.py?answer=6596 ci15si58841657wjb.6 (state 13).
>
> Gmail seems to claim that [email-masked] doesn't exist.
And it doesn't exists.

> Is that the address you tried to send something to?
No.

When you receive a mail from somebody that report you a bug on github
the "From" header is like this:

From: Bob <[email-masked]>

And then Gnus ask:

--8<---------------cut here---------------start------------->8---
Address [email-masked]' might be bogus.  Continue? (y or n)  y
Sending...
Sending via mail...
Delivering message to emacs-helm/helm <[email-masked]>...
--8<---------------cut here---------------end--------------->8---

and it doesn't (shouldn't) try to send to <[email-masked]> 
but it does so when replying with emacs-24.3.50.1 (trunk).
As I said this doesn't happen with emacs-24 branch (I replied several
times today with no problems)

Note: I use "F" to reply on github as always. (The mail is Cc'ed to the
real address of sender)

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997